Bug 1279585 - [abrt] nautilus: nautilus_file_get_internal(): nautilus killed by SIGABRT
[abrt] nautilus: nautilus_file_get_internal(): nautilus killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9304fa1bbbfad2dd90167713a11...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 14:39 EST by Jake Jackson
Modified: 2016-12-20 10:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:35:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.16 KB, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: core_backtrace (12.33 KB, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: dso_list (12.83 KB, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: environ (961 bytes, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: maps (63.80 KB, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: mountinfo (3.66 KB, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: open_fds (3.09 KB, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details
File: var_log_messages (292 bytes, text/plain)
2015-11-09 14:39 EST, Jake Jackson
no flags Details

  None (edit)
Description Jake Jackson 2015-11-09 14:39:31 EST
Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_file_get_internal
executable:     /usr/bin/nautilus
global_pid:     6585
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 nautilus_file_get_internal at nautilus-file.c:679
 #5 nautilus_file_get_by_uri at nautilus-file.c:760
 #6 update_location at nautilus-query-editor.c:1067
 #7 nautilus_query_editor_set_location at nautilus-query-editor.c:1108
 #8 view_started_loading at nautilus-window-slot.c:2066
 #9 view_is_loading_changed_cb at nautilus-window-slot.c:2108
 #15 g_object_notify_by_spec_internal at gobject.c:1154
 #16 g_object_notify at gobject.c:1202
 #17 finish_loading at nautilus-files-view.c:6989
 #18 finish_loading_if_all_metadata_loaded at nautilus-files-view.c:7048
Comment 1 Jake Jackson 2015-11-09 14:39:35 EST
Created attachment 1091924 [details]
File: backtrace
Comment 2 Jake Jackson 2015-11-09 14:39:36 EST
Created attachment 1091925 [details]
File: cgroup
Comment 3 Jake Jackson 2015-11-09 14:39:38 EST
Created attachment 1091926 [details]
File: core_backtrace
Comment 4 Jake Jackson 2015-11-09 14:39:39 EST
Created attachment 1091927 [details]
File: dso_list
Comment 5 Jake Jackson 2015-11-09 14:39:41 EST
Created attachment 1091928 [details]
File: environ
Comment 6 Jake Jackson 2015-11-09 14:39:42 EST
Created attachment 1091929 [details]
File: limits
Comment 7 Jake Jackson 2015-11-09 14:39:44 EST
Created attachment 1091930 [details]
File: maps
Comment 8 Jake Jackson 2015-11-09 14:39:45 EST
Created attachment 1091931 [details]
File: mountinfo
Comment 9 Jake Jackson 2015-11-09 14:39:47 EST
Created attachment 1091932 [details]
File: open_fds
Comment 10 Jake Jackson 2015-11-09 14:39:48 EST
Created attachment 1091933 [details]
File: proc_pid_status
Comment 11 Jake Jackson 2015-11-09 14:39:50 EST
Created attachment 1091934 [details]
File: var_log_messages
Comment 12 Mitsutoshi Kiuchi 2015-11-14 12:26:49 EST
I reproduced this when I delete the word of search.
Comment 13 ddssantana89 2015-11-19 07:08:33 EST
Another user experienced a similar problem:

I turned on the option to show desktop files in GNOME Tweak Tool. After that nautilus was killed everytime I opened it.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_file_get_internal
executable:     /usr/bin/nautilus
global_pid:     9295
kernel:         4.2.5-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Jonas Kantic 2015-12-18 10:05:24 EST
Another user experienced a similar problem:

1. Plug in a Android smartphone via USB (MTP-mode)
2. In nautilus: Go into the device
3. Use the lupe-symbol in the upper right corner to search for a directory
=> crash

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_file_get_internal
executable:     /usr/bin/nautilus
global_pid:     7268
kernel:         4.2.6-301.fc23.x86_64
package:        nautilus-3.18.3-1.fc23
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 08:15:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:35:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.